gtk.ToggleAction
Prev | The gtk Class Reference | Next

## gtk.ToggleAction

gtk.ToggleAction — an action which can be toggled between two states (new in PyGTK 2.4)

## Synopsis

    class gtk.ToggleAction(gtk.Action):
        gtk.ToggleAction(name, label, tooltip, stock_id)
        def toggled()
        def set_active(is_active)
        def get_active()
        def set_draw_as_radio(draw_as_radio)
        def get_draw_as_radio()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Action
        +-- gtk.ToggleAction

## Implemented Interfaces

`gtk.ToggleAction` implements `gtk.Buildable`

## gtk.ToggleAction Properties

gtk.Action Properties

"active" | Read-Write | If the toggle action should be active in or not. This property is available in GTK+ 2.10 and above.
"draw-as-radio" | Read-Write | If `True`, the proxies for this action look like radio action proxies. Available in GTK+ 2.4 and above.

## gtk.ToggleAction Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Action Signal Prototypes

"toggled" | `def callback(`toggleaction`, `user_param1`, `...`)`

## Description

### Note

This object is available in PyGTK 2.4 and above.

A `gtk.ToggleAction` which is a subclass of `gtk.Action` corresponds roughly to a `gtk.CheckMenuItem`. It has an "active" state specifying whether the action has been checked or not.

## Constructor

        gtk.ToggleAction(name, label, tooltip, stock_id)

`name` : | a unique name for the action
`label` : | the label displayed in menu items and on buttons
`tooltip` : | a tooltip for the action
`stock_id` : | the stock icon to display in widgets representing the action
Returns : | a new `gtk.ToggleAction`

### Note

This constructor is available in PyGTK 2.4 and above.

Creates a new `gtk.ToggleAction` object. To add the action to a `gtk.ActionGroup` and set the accelerator for the action, call the `gtk.ActionGroup.add_action_with_accel()` method.

## Methods

### gtk.ToggleAction.toggled

        def toggled()

### Note

This method is available in PyGTK 2.4 and above.

The `toggled`() method emits the "toggled" signal on the toggle action.

### gtk.ToggleAction.set_active

        def set_active(is_active)

`is_active` : | if `True` the action should be checked

### Note

This method is available in PyGTK 2.4 and above.

The `set_active`() method sets the checked state on the toggle action.

### gtk.ToggleAction.get_active

        def get_active()

Returns : | `True` if the toggle action is checked

### Note

This method is available in PyGTK 2.4 and above.

The `get_active`() method returns `True` if the toggle action is checked.

### gtk.ToggleAction.set_draw_as_radio

        def set_draw_as_radio(draw_as_radio)

`draw_as_radio` : | if `True` the action should have proxies like a radio action

### Note

This method is available in PyGTK 2.4 and above.

The `set_draw_as_radio`() method sets the "draw-as-radio" property to the value of `draw_as_radio`. If `draw_as_radio` is `True` the action should have proxies like a radio action.

### gtk.ToggleAction.get_draw_as_radio

        def get_draw_as_radio()

Returns : | `True` if the action should have proxies like a radio action.

### Note

This method is available in PyGTK 2.4 and above.

The `get_draw_as_radio`() method returns the value of the "draw-as-radio" property. If "draw-as-radio" is `True` the action should have proxies like a radio action.

## Signals

### The "toggled" gtk.ToggleAction Signal

        def callback(toggleaction, user_param1, ...)

`toggleaction` : | the toggleaction that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.4 and above.

The "toggled" signal is emitted when the toggle action changes its active state.

Prev | Up | Next
gtk.TextView | Home | gtk.ToggleButton